Toggle cacheless mode
Turns development (cacheless) mode on or off, based on the enabled flag.
Turns development (cacheless) mode on or off, based on the enabled flag. When enabled, nothing is cached, effectively turning off all caching for the website; use it while actively developing, testing changes, debugging issues, or when real-time updates must be visible. Disable it after finishing development work to restore the performance benefits of caching.
Authorizations
AuthorizationstringRequired
API Token authentication
Path parameters
usernamestringRequiredExample:
u123456789domainstringRequiredExample:
Domain name
mydomain.tldBody
enabledbooleanRequiredExample:
Turn development (cacheless) mode on (true) or off (false) for the website.
trueResponses
200
Success empty response
application/json
messagestringOptionalExample:
Request accepted401
Unauthenticated response
application/json
422
Validation error response
application/json
500
Error response
application/json
patch/api/hosting/v1/accounts/{username}/websites/{domain}/cacheless-mode/toggle
PATCH /api/hosting/v1/accounts/{username}/websites/{domain}/cacheless-mode/toggle HTTP/1.1
Host: developers.hostinger.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 16
{
"enabled": true
}{
"message": "Request accepted"
}Last updated
Was this helpful?